---
sidebar_label: Page.deleteCookie
---

# Page.deleteCookie() method

#### Signature:

```typescript
class Page {
  abstract deleteCookie(...cookies: DeleteCookiesRequest[]): Promise<void>;
}
```

## Parameters

| Parameter | Type                                                            | Description |
| --------- | --------------------------------------------------------------- | ----------- |
| cookies   | [DeleteCookiesRequest](./puppeteer.deletecookiesrequest.md)\[\] |             |

**Returns:**

Promise&lt;void&gt;
